- Main Page
- Classes
- Files

- Class List
- Class Hierarchy
- Class Members

# CGun Class Reference

Class Particle Gun. More...

`#include <Particles.h>`

Inheritance diagram for CGun:

[legend]
Collaboration diagram for CGun:

[legend]

List of all members.

## Public Member Functions
| CGun (int numParticles)
| CGun standard constructor.
bool | checkHit (D3DXVECTOR3 position, float radius)
| check if particle has hit the dwarf! (Or whatever in that position)
void | shootParticle (D3DXVECTOR3 position, float facing)
| shoots particles from turtles mouth.
void | resetParticle (Attribute *attribute)
| resets gun particles.
void | Update (float timeDelta, bool slow, bool follow)
| Updates position of gun particles (moves bit forward every frame).
void | SetParticleColor (D3DCOLOR color)
| Change color of particles.

## Detailed Description

Class Particle Gun.

Turtle gun fire is displayed with particle system.

Author:
  Petar Bajic

Date:
  January, 16 2007.

## Constructor & Destructor Documentation

CGun::CGun | ( | int | numParticles | ) |

CGun standard constructor.

Parameters:

  | numParticles | total number of particles in the system.

Author:
  Petar Bajic

Date:
  January, 16 2007.

## Member Function Documentation

bool CGun::checkHit | ( | D3DXVECTOR3 | position,
|  | float | radius |
| ) |  |  |

check if particle has hit the dwarf! (Or whatever in that position)

Parameters:

  | position | position of target to be hit.
  | radius | radius from position that is considered a hit.

Author:
  Petar Bajic

Date:
  January, 16 2007.

void CGun::shootParticle | ( | D3DXVECTOR3 | position,
|  | float | facing |
| ) |  |  |

shoots particles from turtles mouth.

Parameters:

  | facing | where turtle is pointing to.

Author:
  Petar Bajic

Date:
  January, 16 2007.

void CGun::resetParticle | ( | Attribute * | attribute | ) | `[virtual]`

resets gun particles.

Author:
  Petar Bajic

Date:
  January, 16 2007.

Implements PSystem.

void CGun::Update | ( | float | timeDelta,
|  | bool | slow,
|  | bool | follow |
| ) |  |  | `[virtual]`

Updates position of gun particles (moves bit forward every frame).

Author:
  Petar Bajic

Date:
  January, 16 2007.

Implements PSystem.

void CGun::SetParticleColor | ( | D3DCOLOR | color | ) |

Change color of particles.

Parameters:

  | color | new particle color.

Author:
  Petar Bajic

Date:
  January, 16 2007.

The documentation for this class was generated from the following files:

- My Documents/TS2/inc/Particles.h
- My Documents/TS2/src/Particles.cpp